%define	prefix		%{_prefix}
# XXX is this right - it was /var/lib before FHS macros
%define _localstatedir	/var/lib

Name:		gnome-core
Version: 	1.2.1
Epoch:          1
Release:        34
Copyright:	LGPL/GPL
Group:		System Environment/Libraries
Summary:	The core programs for the GNOME GUI desktop environment.
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.gz
Source1:	gnome-ccdesktop.png
Source2:	gnome-devel.png
Source3:	gnome-gnomoku.png
Source4:	gnome-multimedia.png
Source5:	gnome-panel.png
Source8:	gnome-util.png
Source9:        gnome-upgrade.py
Source10:       gnome-upgrade.glade
Source11:       netscape.png
Source12:	default.in
Source13:	gnome-core-splash.c
Source14:       redhat-splashscreen.png
Source15:       sawmill-replace.sh
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-root

Requires:	gdk-pixbuf >= 0.7.0
Requires:       pygnome-libglade >= 0.6
Requires:       sawfish

# Red Hat patches
Patch0:		gnome-core-1.0.55-gdmlang.patch
Patch1:		gnome-core-1.1.90-swapbs.patch
Patch2:		gnome-core-1.0.54-smallfont.patch
Patch3:		gnome-core-1.2.0-libbz2.patch
Patch4:         gnome-core-1.2.0-redhatdefaults.patch
Patch5:         gnome-core-1.2.1-kdesubmenus.patch
Patch6:         gnome-core-1.2.1-mergerhmenus.patch
Patch7:		gnome-core-1.2.1-upgrader.patch
Patch8:		gnome-core-1.2.1-nodesktops.patch
Patch9:         gnome-core-1.2.1-noanotherlevel.patch
Patch10:        gnome-core-1.2.1-nslauncher.patch
Patch11:        gnome-core-1.2.1-transientfor.patch
Patch12:        gnome-core-1.2.1-canvaspixbuf.patch
Patch13:        gnome-core-1.2.1-extrapixmaps.patch
Patch14:        gnome-core-1.2.1-noicongap.patch
Patch15:        gnome-core-1.2.1-rectfix.patch
Patch16:        gnome-core-1.2.1-norootscreensaver.patch
Patch17:        gnome-core-1.2.1-changeaccels.patch
Patch18:        gnome-core-1.2.1-rebootfix.patch

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on Open Source
software.  The gnome-core package includes the basic programs and
libraries that are needed to install GNOME.

You should install the gnome-core package if you would like to use the
GNOME desktop environment.  You'll also need to install the gnome-libs
package.  If you would like to develop GNOME applications, you'll also
need to install gnome-libs-devel.  If you want to use linuxconf with a
GNOME front end, you'll also need to install the gnome-linuxconf package.

%package devel
Summary:	GNOME core libraries, headers and more.
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Panel libraries and header files for creating GNOME panels.

%prep
%setup -q
cp %{SOURCE1} pixmaps/
cp %{SOURCE2} pixmaps/
cp %{SOURCE3} pixmaps/
cp %{SOURCE4} pixmaps/
cp %{SOURCE5} pixmaps/
cp %{SOURCE8} pixmaps/
cp %{SOURCE11} pixmaps/
cp %{SOURCE12} gsm/
cp %{SOURCE13} gsm/
cp %{SOURCE14} pixmaps/

echo "	*****     Applying RH patches        *****	"
%patch0 -p1 -b .gdmlang
%patch1 -p1 -b .swapbs
%patch2 -p1 -b .smallfont
%patch3 -p1 -b .libbz2
%patch4 -p1 -b .redhatdefaults
%patch5 -p1 -b .kdesubmenus
%patch6 -p1 -b .mergerhmenus
%patch7 -p1 -b .upgrader
%patch8 -p1 -b .nodesktops
%patch9 -p1 -b .noanotherlevel
%patch10 -p1 -b .nslauncher
%patch11 -p1 -b .transientfor
%patch12 -p1 -b .canvaspixbuf
%patch13 -p1 -b .extrapixmaps
%patch14 -p1 -b .noicongap
%patch15 -p1 -b .rectfix
%patch16 -p1 -b .norootscreensaver
%patch17 -p1 -b .changeaccels
%patch18 -p1 -b .rebootfix

%build
# libbz2 patch modified acconfig.h, configure.in
autoheader
automake
autoconf
%configure --with-kde-datadir=/usr/share --with-window-manager=sawfish
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
install -m 755 %{SOURCE9} $RPM_BUILD_ROOT%{_prefix}/bin/gnome-upgrade.py
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/gnome-upgrade/glade/
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_prefix}/share/gnome-upgrade/glade/gnome-upgrade.glade

mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
install -m 755 %{SOURCE15} $RPM_BUILD_ROOT%{_prefix}/bin/sawmill-replace.sh

%makeinstall

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/lib/lib*.so.*
%{prefix}/share/applets
%{prefix}/share/gnome/apps
%{prefix}/share/gnome/help
%{prefix}/share/gnome/hints
%{prefix}/share/gnome-about/*
%{prefix}/share/idl
%{prefix}/share/gnome-upgrade/glade/*
# %{prefix}/share/mc/templates
%{prefix}/share/locale/*/*/*
%{prefix}/share/control-center/*
%{prefix}/share/pixmaps/*
%config %{_sysconfdir}/*
%config %{prefix}/share/panelrc
%config %{prefix}/share/gnome/default.session
%config %{prefix}/share/gnome/default.wm
# These are in gnome-core because the shared-library applets need the .so files around
%{prefix}/lib/lib*.so

%files devel
%defattr(-, root, root)

%{prefix}/lib/*.sh
%{prefix}/lib/*a
%{prefix}/include/*

%changelog
* Thu Aug 31 2000 Bill Nottingham <notting@redhat.com>
- take out the ExcludeArch: ia64

* Wed Aug 30 2000 Jonathan Blandford <jrb@redhat.com>
- Fix gnome-upgrade to now say Red Hat Linux 7.0 instead of Red
  Hat 7.0.  Also, make gnome-core require Sawfish

* Wed Aug 23 2000 Jonathan Blandford <jrb@redhat.com>
- Fix gnome-upgrade to popup when you upgrade.

* Wed Aug 23 2000 Owen Taylor <otaylor@redhat.com>
- Load and save splashscreen with GIMP to fix warning message
  from libpng.
- Change halt and reboot commands to /usr/bin/halt,reboot, instead
  of /usr/bin/shutdown, which no longer exists.

* Wed Aug 09 2000 Havoc Pennington <hp@redhat.com>
- Epoch 1
- Fix gnome-hint to tell about the proper accelerator for panel menu

* Mon Aug 07 2000 Havoc Pennington <hp@redhat.com>
- Add script "sawmill-replace.sh" and run it on files that might contain 
  sawfish, from inside gnome-upgrade.py

* Mon Aug 07 2000 Havoc Pennington <hp@redhat.com>
- Don't add the xscreensaver icon by default if we are root, bug 15006

* Thu Aug 03 2000 Owen Taylor <otaylor@redhat.com>
- Implement the logout effect in a slightly different way to
  avoid extreme slowness on fbdev X driver. 

* Wed Aug 02 2000 Havoc Pennington <hp@redhat.com>
- Pack icons together (don't leave a gap)

* Tue Aug 01 2000 Havoc Pennington <hp@redhat.com>
- Cosmetic enhancements for the splash

* Tue Aug 01 2000 Havoc Pennington <hp@redhat.com>
- Use the Red Hat splash screen, not a nonexistent Helix file

* Tue Aug 01 2000 Havoc Pennington <hp@redhat.com>
- Splash screen

* Mon Jul 31 2000 Havoc Pennington <hp@redhat.com>
- Set the transient-for hint on the gnome-terminal preferences window 

* Fri Jul 28 2000 Jonathan Blandford <jrb@redhat.com>
- Make dependant on pygnome-libglade, otherwise the gnome-upgrade.py druid
  won't work

* Tue Jul 25 2000 Havoc Pennington <hp@redhat.com>
- Fix netscape launcher yet again (one-character diff, 
  string was being compared to a char instead of first char
  of string being compared to a char)

* Fri Jul 21 2000 Owen Taylor <otaylor@redhat.com>
- Another attempt at netscape launcher fix

* Fri Jul 21 2000 Owen Taylor <otaylor@redhat.com>
- Fix to look for netscape launcher in the right place

* Wed Jul 19 2000 Havoc Pennington <hp@redhat.com>
- kill son of the return of anotherlevel

* Wed Jul 19 2000 Havoc Pennington <hp@redhat.com>
- Remove everything related to AnotherLevel
- Run automake so that Matt's Makefile.am hacks take effect.

* Thu Jul 18 2000 Jonathan Blandford <jrb@redhat.com>
- got the gnome-upgrader to now work with out contacting the session manager
  As it is being run from the session manager, it wouldn't work.

* Mon Jul 17 2000 Matt Wilson <msw@redhat.com>
- replaced netscape.png with an official netscape logo
- don't install .desktop files for packages that provide them in
  their own packages

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Havoc Pennington <hp@redhat.com>
- Spell out "Control" in keyboard shortcuts so panel can figure it out

* Sat Jul 8 2000 Havoc Pennington <hp@redhat.com>
- remove Docdir
 
* Mon Jun  19 2000 Jonathan Blandford <jrb@redhat.com>
- added an upgrading druid to move people's gnome environments over.

* Sat Jun  17 2000 Owen Taylor <otaylor@redhat.com>
- Integrate back in menu-merging patch

* Fri Jun  16 2000 Havoc Pennington <hp@redhat.com>
- Fix default keep-menus-in-memory thing
- Try to bump the Red Hat and GNOME submenus out of the KDE submenu
- Remove AnotherLevel submenu

* Fri Jun  16 2000 Havoc Pennington <hp@redhat.com>
- Default to keep menus in memory
- More reliable check for whether we're on a machine with a battery

* Thu Jun  15 2000 Havoc Pennington <hp@redhat.com>
- Change key shortcut defaults to not conflict with window manager ones
- 1.2.1

* Thu Jun  15 2000 Havoc Pennington <hp@redhat.com>
- Hack defaults to have no foobar, add clock and desk guide to 
  default normal panel, if /proc/apm exists add battery monitor,
  remove logout button and status tray from default
- Change default to small menu icons

* Thu Jun  1 2000 Matt Wilson <msw@redhat.com>
- 1.2.0
- build against libbz2 1.0

* Fri May 12 2000 Matt Wilson <msw@redhat.com>
- integrate some 1.0.55 patches - there are a lot of them

* Sat May  6 2000 Matt Wilson <msw@redhat.com>
- Red Hat-ified helix RPM

